<!DOCTYPE html>
<html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1"/>
        <title>Demo webview</title>
        <style>
            .switch { position: relative; display: inline-block; width: 60px; height: 34px; }
            .switch input { opacity: 0; width: 0; height: 0; }
            label.switch { outline: none; }
            .slider { position: absolute; cursor: pointer; top: 0; left: 0; right: 0; bottom: 0; background-color: #ccc; -webkit-transition: .4s; transition: .4s; outline: none; }
            .slider:before { position: absolute; content: ""; height: 26px; width: 26px; left: 4px; bottom: 4px; background-color: white; -webkit-transition: .4s; transition: .4s; }
            input:checked + .slider { background-color: #2196F3; }
            input:focus + .slider { box-shadow: 0 0 1px #2196F3; }
            input:checked + .slider:before { -webkit-transform: translateX(26px); -ms-transform: translateX(26px); transform: translateX(26px); }
            .slider.round { border-radius: 34px; }
            .slider.round:before { border-radius: 50%; }
            .button {
              border: none;
              color: white;
              padding: 15px 32px;
              text-align: center;
              text-decoration: none;
              display: inline-block;
              font-size: 16px;
              margin: 4px 2px;
              cursor: pointer;
            }
            
            .button1 {
                background-color: #4CAF50;
                border-radius: 8px;
            } /* Green */
            .button2 {
                background-color: #008CBA;
                border-radius: 8px;
            } /* Blue */

        </style>
    </head>
    <body>
        <h2>Click to back </h2>
        <button id="back" class="button button1">Click Me</button>
        
        <script>
        document.getElementById("back").addEventListener("click", backFunc);
        function backFunc() {
            var action = {name: "goBack", body: ""};
            if (window.webkit && window.webkit.messageHandlers && window.webkit.messageHandlers.dispatch) {
                window.webkit.messageHandlers.dispatch.postMessage(JSON.stringify (action));
            } else {
                Android.dispatch(JSON.stringify (action));
            }
        }
        </script>
        
        </script>
        
        <h2>Open URL </h2>
        <button id="openURL" class="button button1">Click Me</button>
        
        <script>
        document.getElementById("openURL").addEventListener("click", openURLFunc);
        function openURLFunc() {
            var data = {"url": "https://www.kiotviet.vn"}
            var action = {name: "openUrl", body: data};
            if (window.webkit && window.webkit.messageHandlers && window.webkit.messageHandlers.dispatch) {
                window.webkit.messageHandlers.dispatch.postMessage(JSON.stringify (action));
            } else {
                Android.dispatch(JSON.stringify (action));
            }
        }
        </script>
        
        <h2>Dismiss </h2>
        <button id="dismiss" class="button button1">Click Me</button>
        
        <script>
        document.getElementById("dismiss").addEventListener("click", dissmissFunc);
        function dissmissFunc() {
            var action = {name: "dismiss", body: ""};
            if (window.webkit && window.webkit.messageHandlers && window.webkit.messageHandlers.dispatch) {
                window.webkit.messageHandlers.dispatch.postMessage(JSON.stringify(action));
            } else {
                Android.dispatch(JSON.stringify (action));
            }
        }
        </script>


        
        <h2 id="value">Click to update Title</h2>
        <button id="updateButton" class="button button2">Click Me</button>
        
        <script>
        document.getElementById("updateButton").addEventListener("click", myFunction);
        function myFunction() {

            var data = {"title": "Title updated"}
            var action = {name: "updateTitle", body: data};

            if (window.webkit && window.webkit.messageHandlers && window.webkit.messageHandlers.dispatch) {
                window.webkit.messageHandlers.dispatch.postMessage(JSON.stringify (action));
            } else {
                Android.dipatch(JSON.stringify (action));
            }
        }
        </script>
        
        
    </body>
</html>
